#ifndef RL_FAUXMO_H
#define RL_FAUXMO_H 1

/***************************************************************************/

#include "main.h"

/***************************************************************************/

/*
** This is the currently correct formula to convert the value from
** alexa into a 0-100% value.  100% is 254
*/
#define FAUXMO_VALUECONVERT ( 100 * ( value % 255 ) / 254 )

/*
** value to switch global auto mode back on 
*/

#define FAUXMO_AUTOSWITCH_BRIGHTNESS 251  /* this is 99% */

/***************************************************************************/

/*
** prototypes
*/

void     Fauxmo_Setup( void );
void     Fauxmo_Handle( void );
void     Fauxmo_Rename( void );
void     Fauxmo_Disable( void );

/***************************************************************************/

#endif /* RL_FAUXMO_H */

